import request from '@/utils/request'

// 登录方法
export function login(username, password, code) {
  const data = {
    username,
    password,
    code,
  }
  return request({
    url: '/admin/login',
    method: 'post',
    data: data
  })
}

// 获取用户详细信息
export function getInfo() {
  return request({
    url: '/admin/info',
    method: 'get'
  })
}

// 退出方法
export function logout() {
  return request({
    url: '/admin/logout',
    method: 'post'
  })
}